# tap-growl

With tap-growl you can add Growl notifications to any test framework producing [TAP](http://testanything.org/) output.

## Installation

```npm install -g tap-growl```

See [node-growl](https://github.com/visionmedia/node-growl) on how to setup Growl notifications for Mac/Linux/Windows.

## Usage

Just pipe your test output to tap-growl.

e.g. ```lab -r tap | tap-growl```

## Why?

I just love how [mocha](http://visionmedia.github.io/mocha/) does Growl notifications. Having nodemon and notifications allows for [instant test feedback](http://csaba.palfi.me/testing-node-apps-like-you-mean-it/#nodemon-growl) without frequently tabbing back to your terminal running the tests. [I wanted to add the same to lab](https://github.com/hapijs/lab/pull/220) but my PR was rejected so here I'm doing it in a more generic way.
